SubscriptionObject
Date: 2018-08-02

org.gcube.informationsystem.notifier.util

## Class SubscriptionObject<PRODUCER extends EPR,CONSUMER extends EPR>

- java.lang.Object
- - org.gcube.informationsystem.notifier.util.SubscriptionObject<PRODUCER,CONSUMER>

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    Subscription

      public abstract class SubscriptionObject<PRODUCER extends EPR,CONSUMER extends EPR>
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionObject()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CONSUMER` | `getConsumer()`
    `EPR` | `getNotificationResourceEnpoint()`
    `PRODUCER` | `getProducer()`
    `boolean` | `isSubscribed()`
    `abstract void` | `removeSubscription()`
    `void` | `setConsumer(CONSUMER consumer)`
    `void` | `setNotificationResourceEnpoint(EPR notificationResourceEndpoint)`
    `void` | `setProducer(PRODUCER producer)`
    `void` | `setSubscribed(boolean subscribed)`
    `abstract void` | `subscribe(javax.xml.namespace.QName topic)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionObject

          public SubscriptionObject()

  - ### Method Detail

    - #### getConsumer

          public CONSUMER getConsumer()

    - #### getProducer

          public PRODUCER getProducer()

    - #### setConsumer

          public void setConsumer(CONSUMER consumer)

    - #### setProducer

          public void setProducer(PRODUCER producer)

    - #### getNotificationResourceEnpoint

          public EPR getNotificationResourceEnpoint()

    - #### setNotificationResourceEnpoint

          public void setNotificationResourceEnpoint(EPR notificationResourceEndpoint)

    - #### isSubscribed

          public boolean isSubscribed()

    - #### setSubscribed

          public void setSubscribed(boolean subscribed)

    - #### subscribe

          public abstract void subscribe(javax.xml.namespace.QName topic)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeSubscription

          public abstract void removeSubscription()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`